# Valeria IPTC Digital Source Type Snippet 0.1.0
---
profile_metadata:
  name: IPTC DST Snippet
  issuer: Valeria Authoring Services
  date: 2026-08-20
  version: 0.1.0
  language: en
valeria:profile_metadata:
  id: https://valeria.gallery/trust/profiles/snippets/iptc-dst/0.1.0/
  source: https://valeria.gallery/trust/profiles/snippets/iptc-dst/0.1.0/snippet.yaml
  documentation: https://valeria.gallery/trust/profiles/snippets/iptc-dst/0.1.0/

variables:
  "$iptc_digitalSourceType":

    digitalCapture:
      name: "Digital capture sampled from real life"
      description: "The media was captured from a real-life source using a digital camera or digital recording device"
      uri: "http://cv.iptc.org/newscodes/digitalsourcetype/digitalCapture"

    computationalCapture:
      name: "Multi-frame computational capture sampled from real life"
      description: "The media is the result of capturing multiple frames from a real-life source using a digital camera or digital recording device, then automatically merging them into a single frame using digital signal processing techniques and/or non-generative AI. Includes High Dynamic Range (HDR) processing common in smartphone camera apps."
      uri: "http://cv.iptc.org/newscodes/digitalsourcetype/computationalCapture"

    negativeFilm:
      name: "Digitised from a transparent negative"
      description: "The media was digitised from a negative on film or other transparent medium"
      uri: "http://cv.iptc.org/newscodes/digitalsourcetype/negativeFilm"

    positiveFilm:
      name: "Digitised from a transparent positive"
      description: "The media was digitised from a positive on a transparency or other transparent medium"
      uri: "http://cv.iptc.org/newscodes/digitalsourcetype/positiveFilm"

    print:
      name: "Digitised from a non-transparent medium"
      description: "The media was digitised from a non-transparent medium such as a photographic print"
      uri: "http://cv.iptc.org/newscodes/digitalsourcetype/print"

    humanEdits:
      name: "Human-edited media"
      description: "Augmentation, correction or enhancement by one or more humans using non-generative tools"
      uri: "http://cv.iptc.org/newscodes/digitalsourcetype/humanEdits"

    compositeWithTrainedAlgorithmicMedia:
      name: "Edited using Generative AI"
      description: "Augmentation, correction or enhancement using a Generative AI model, such as with inpainting or outpainting operations"
      uri: "http://cv.iptc.org/newscodes/digitalsourcetype/compositeWithTrainedAlgorithmicMedia"

    algorithmicallyEnhanced:
      name: "Algorithmically-altered media"
      description: "Modification or correction by algorithm without changing the main content of the media, initiated or configured by a human, such as sharpening or applying noise reduction"
      uri: "http://cv.iptc.org/newscodes/digitalsourcetype/algorithmicallyEnhanced"

    digitalCreation:
      name: "Digital creation"
      description: "Media created by a human using non-generative tools"
      uri: "http://cv.iptc.org/newscodes/digitalsourcetype/digitalCreation"

    dataDrivenMedia:
      name: "Data-driven media"
      description: "Digital media representation of data via human programming or creativity"
      uri: "http://cv.iptc.org/newscodes/digitalsourcetype/dataDrivenMedia"

    trainedAlgorithmicMedia:
      name: "Created using Generative AI"
      description: "Digital media created algorithmically using an Artificial Intelligence model trained on captured content"
      uri: "http://cv.iptc.org/newscodes/digitalsourcetype/trainedAlgorithmicMedia"

    algorithmicMedia:
      name: "Pure algorithmic media"
      description: "Media created purely by an algorithm not based on any sampled training data, e.g. an image created by software using a mathematical formula"
      uri: "http://cv.iptc.org/newscodes/digitalsourcetype/algorithmicMedia"

    screenCapture:
      name: "Screen capture"
      description: "A capture of the contents of the screen of a computer or mobile device"
      uri: "http://cv.iptc.org/newscodes/digitalsourcetype/screenCapture"

    virtualRecording:
      name: "Virtual event recording"
      description: "Live recording of virtual event based on Generative AI and/or captured elements"
      uri: "http://cv.iptc.org/newscodes/digitalsourcetype/virtualRecording"

    composite:
      name: "Composite of elements"
      description: "Mix or composite of several elements, any of which may or may not be generative AI"
      uri: "http://cv.iptc.org/newscodes/digitalsourcetype/composite"

    compositeCapture:
      name: "Composite of captured elements"
      description: "Mix or composite of several elements that are all captures of real life"
      uri: "http://cv.iptc.org/newscodes/digitalsourcetype/compositeCapture"

    compositeSynthetic:
      name: "Composite including generative AI elements"
      description: "Mix or composite of several elements, at least one of which is Generative AI"
      uri: "http://cv.iptc.org/newscodes/digitalsourcetype/compositeSynthetic"
